Subject: Re: [PATCH v2] i2c: core: make it possible to match a pure device tree driver

From: Stephen Warren <[email-masked]>
Date: Mon, 17 Jun 2013 10:49:16 -0600

On 06/17/2013 10:33 AM, Linus Walleij wrote:
> On Mon, Jun 17, 2013 at 5:48 PM, Stephen Warren <[email-masked]> wrote:
> 
>> This has just shown up in next-20130617, and breaks at least the
>> TPS65910 and TPS62360 drivers, since they assume that the id parameter
>> passed to probe is non-NULL. However, now the parameter is NULL since
>> these drivers have both an ID table and an OF match table.
> 
> So you mean they come in through the DT boot path and assume
> that parameter is non-null even though they should not make use of
> it?

Yes. Since this wasn't true/enforced before, it probably wasn't clear
that rule existed.